# Select

### Styles

* Flexbox Styles
* View Styles
* Transform Styles

### Props

| Name              | Type                                                | Description                                                                                                                        |
| ----------------- | --------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **items**         | `PickerPropsItem[]`                                 | <ul><li>List of items to be displayed in the picker</li></ul>                                                                      |
| **mode**          | `'dialog' \| 'dropdown'`                            | <ul><li>'dialog': Show a modal dialog </li><li>'dropdown': Shows a dropdown anchored to the picker </li><li>Android only</li></ul> |
| **onValueChange** | `(itemValue: string, itemPosition: number) => void` | <ul><li>Invoked when the selected value changes</li></ul>                                                                          |
| **selectedValue** | `string`                                            | <ul><li>Initially-selected item</li></ul>                                                                                          |
| **style**         | `PickerStyleRuleSet \| PickerStyleRuleSet[]`        | <ul><li>See below for supported styles</li></ul>                                                                                   |
| **testId**        | `string`                                            | <ul><li>ID that can be used to identify the instantiated element for testing purposes</li></ul>                                    |
| **color**         | `string`                                            | <p></p><ul><li>Text Color</li></ul>                                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ult.dev/components/picker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
